Get store operation log count
GET https://{handle}.myshopline.com/admin/openapi/v20260901/store/operation_logs/count.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get the store operation log count within a specific time range. You can filter by timestamp, resource type, and event type.
Query Parameters
- created_at_max string requiredSpecify the cutoff creation date and time for operation logs to query. Operation logs created on or before this date are returned. Format: ISO 8601.
Example:2023-04-12T22:59:52+08:00. - created_at_min string requiredSpecify the initial creation date and time for operation logs to query. Operation logs created on or after this date are returned. Format: ISO 8601.
Example:2023-04-12T22:59:52+08:00. - subject_type stringResource type. Valid values are:
inventory: Inventorycollections: Collectionsproducts: Productsdomain_management: Domain managementcheckout_settings: Checkoutpayment_settings: Paymentbasic_settings: Basic informationadministrator_roles_and_permissions: Administrators and permissionsplan: Planscustomer_account_settings: Customer settingsnotification_settings: Notification settingsstore_design: Store designpages: Pagesnavigation: Navigationblog: Blogorders: Ordersdraft_order: Draft orderabandoned_checkouts: Abandoned checkoutsautomatic_discounts: Automatic discountsdiscount_codes: Discount codescustomers: Customershome: Homeone_page_store: One page storestore_management_list: Store management listlanguage: Edit default language
- verb stringEvent type. The range of valid values depends on
subject_type. For example, if the operation is creating a new product,subject_typewill beproductsandverbwill beadd_new_product. Refer to verb for the valid values and mapping betweenverbandsubject_type.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
dataobject
Response body.count longOperation log count.
API Explorer
Debugger
Examples
Was this article helpful to you?